// Code generated by protoc-gen-go. DO NOT EDIT.
// source: transport/internet/tls/config.proto

package tls

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Certificate_Usage int32

const (
	Certificate_ENCIPHERMENT     Certificate_Usage = 0
	Certificate_AUTHORITY_VERIFY Certificate_Usage = 1
	Certificate_AUTHORITY_ISSUE  Certificate_Usage = 2
)

var Certificate_Usage_name = map[int32]string{
	0: "ENCIPHERMENT",
	1: "AUTHORITY_VERIFY",
	2: "AUTHORITY_ISSUE",
}

var Certificate_Usage_value = map[string]int32{
	"ENCIPHERMENT":     0,
	"AUTHORITY_VERIFY": 1,
	"AUTHORITY_ISSUE":  2,
}

func (x Certificate_Usage) String() string {
	return proto.EnumName(Certificate_Usage_name, int32(x))
}

func (Certificate_Usage) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_e4e683ff515dbd24, []int{0, 0}
}

type Certificate struct {
	// TLS certificate in x509 format.
	Certificate []byte `protobuf:"bytes,1,opt,name=Certificate,proto3" json:"Certificate,omitempty"`
	// TLS key in x509 format.
	Key                  []byte            `protobuf:"bytes,2,opt,name=Key,proto3" json:"Key,omitempty"`
	Usage                Certificate_Usage `protobuf:"varint,3,opt,name=usage,proto3,enum=v2ray.core.transport.internet.tls.Certificate_Usage" json:"usage,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *Certificate) Reset()         { *m = Certificate{} }
func (m *Certificate) String() string { return proto.CompactTextString(m) }
func (*Certificate) ProtoMessage()    {}
func (*Certificate) Descriptor() ([]byte, []int) {
	return fileDescriptor_e4e683ff515dbd24, []int{0}
}

func (m *Certificate) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Certificate.Unmarshal(m, b)
}
func (m *Certificate) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Certificate.Marshal(b, m, deterministic)
}
func (m *Certificate) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Certificate.Merge(m, src)
}
func (m *Certificate) XXX_Size() int {
	return xxx_messageInfo_Certificate.Size(m)
}
func (m *Certificate) XXX_DiscardUnknown() {
	xxx_messageInfo_Certificate.DiscardUnknown(m)
}

var xxx_messageInfo_Certificate proto.InternalMessageInfo

func (m *Certificate) GetCertificate() []byte {
	if m != nil {
		return m.Certificate
	}
	return nil
}

func (m *Certificate) GetKey() []byte {
	if m != nil {
		return m.Key
	}
	return nil
}

func (m *Certificate) GetUsage() Certificate_Usage {
	if m != nil {
		return m.Usage
	}
	return Certificate_ENCIPHERMENT
}

type Config struct {
	// Whether or not to allow self-signed certificates.
	AllowInsecure bool `protobuf:"varint,1,opt,name=allow_insecure,json=allowInsecure,proto3" json:"allow_insecure,omitempty"`
	// Whether or not to allow insecure cipher suites.
	AllowInsecureCiphers bool `protobuf:"varint,5,opt,name=allow_insecure_ciphers,json=allowInsecureCiphers,proto3" json:"allow_insecure_ciphers,omitempty"`
	// List of certificates to be served on server.
	Certificate []*Certificate `protobuf:"bytes,2,rep,name=certificate,proto3" json:"certificate,omitempty"`
	// Override server name.
	ServerName string `protobuf:"bytes,3,opt,name=server_name,json=serverName,proto3" json:"server_name,omitempty"`
	// Lists of string as ALPN values.
	NextProtocol []string `protobuf:"bytes,4,rep,name=next_protocol,json=nextProtocol,proto3" json:"next_protocol,omitempty"`
	// Whether or not to disable session (ticket) resumption.
	DisableSessionResumption bool `protobuf:"varint,6,opt,name=disable_session_resumption,json=disableSessionResumption,proto3" json:"disable_session_resumption,omitempty"`
	// If true, root certificates on the system will not be loaded for
	// verification.
	DisableSystemRoot    bool     `protobuf:"varint,7,opt,name=disable_system_root,json=disableSystemRoot,proto3" json:"disable_system_root,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Config) Reset()         { *m = Config{} }
func (m *Config) String() string { return proto.CompactTextString(m) }
func (*Config) ProtoMessage()    {}
func (*Config) Descriptor() ([]byte, []int) {
	return fileDescriptor_e4e683ff515dbd24, []int{1}
}

func (m *Config) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Config.Unmarshal(m, b)
}
func (m *Config) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Config.Marshal(b, m, deterministic)
}
func (m *Config) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Config.Merge(m, src)
}
func (m *Config) XXX_Size() int {
	return xxx_messageInfo_Config.Size(m)
}
func (m *Config) XXX_DiscardUnknown() {
	xxx_messageInfo_Config.DiscardUnknown(m)
}

var xxx_messageInfo_Config proto.InternalMessageInfo

func (m *Config) GetAllowInsecure() bool {
	if m != nil {
		return m.AllowInsecure
	}
	return false
}

func (m *Config) GetAllowInsecureCiphers() bool {
	if m != nil {
		return m.AllowInsecureCiphers
	}
	return false
}

func (m *Config) GetCertificate() []*Certificate {
	if m != nil {
		return m.Certificate
	}
	return nil
}

func (m *Config) GetServerName() string {
	if m != nil {
		return m.ServerName
	}
	return ""
}

func (m *Config) GetNextProtocol() []string {
	if m != nil {
		return m.NextProtocol
	}
	return nil
}

func (m *Config) GetDisableSessionResumption() bool {
	if m != nil {
		return m.DisableSessionResumption
	}
	return false
}

func (m *Config) GetDisableSystemRoot() bool {
	if m != nil {
		return m.DisableSystemRoot
	}
	return false
}

func init() {
	proto.RegisterEnum("v2ray.core.transport.internet.tls.Certificate_Usage", Certificate_Usage_name, Certificate_Usage_value)
	proto.RegisterType((*Certificate)(nil), "v2ray.core.transport.internet.tls.Certificate")
	proto.RegisterType((*Config)(nil), "v2ray.core.transport.internet.tls.Config")
}

func init() {
	proto.RegisterFile("transport/internet/tls/config.proto", fileDescriptor_e4e683ff515dbd24)
}

var fileDescriptor_e4e683ff515dbd24 = []byte{
	// 438 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x92, 0xd1, 0x6e, 0xd3, 0x30,
	0x14, 0x86, 0x49, 0x4b, 0x0b, 0x3b, 0xed, 0x46, 0xf0, 0x26, 0x14, 0x71, 0x43, 0xd6, 0xa9, 0x52,
	0xaf, 0x1c, 0xa9, 0xec, 0x92, 0x1b, 0x08, 0x41, 0x0b, 0x88, 0x52, 0xb9, 0xe9, 0xa4, 0x71, 0x13,
	0x79, 0xe1, 0x6c, 0x58, 0x4a, 0xec, 0xca, 0x76, 0x07, 0x7d, 0x25, 0x5e, 0x87, 0xc7, 0xe0, 0x25,
	0x50, 0x9c, 0xb6, 0xb4, 0x12, 0xd2, 0xb4, 0xbb, 0x9c, 0xff, 0x7c, 0xe7, 0x8f, 0xfe, 0x3f, 0x81,
	0x33, 0xab, 0xb9, 0x34, 0x0b, 0xa5, 0x6d, 0x24, 0xa4, 0x45, 0x2d, 0xd1, 0x46, 0xb6, 0x34, 0x51,
	0xa1, 0xe4, 0x8d, 0xb8, 0xa5, 0x0b, 0xad, 0xac, 0x22, 0xa7, 0x77, 0x63, 0xcd, 0x57, 0xb4, 0x50,
	0x1a, 0xe9, 0x96, 0xa7, 0x1b, 0x9e, 0xda, 0xd2, 0x0c, 0x7e, 0x7b, 0xd0, 0x8b, 0x51, 0x5b, 0x71,
	0x23, 0x0a, 0x6e, 0x91, 0x84, 0x7b, 0x63, 0xe0, 0x85, 0xde, 0xa8, 0xcf, 0xf6, 0x08, 0x1f, 0xda,
	0x9f, 0x70, 0x15, 0xb4, 0xdc, 0xa6, 0x7e, 0x24, 0x1f, 0xa1, 0xb3, 0x34, 0xfc, 0x16, 0x83, 0x76,
	0xe8, 0x8d, 0x8e, 0xc6, 0xe7, 0xf4, 0xde, 0xd7, 0xd2, 0x1d, 0x43, 0x3a, 0xaf, 0x6f, 0x59, 0x63,
	0x31, 0x78, 0x0f, 0x1d, 0x37, 0x13, 0x1f, 0xfa, 0xc9, 0x24, 0x4e, 0xa7, 0x17, 0x09, 0xfb, 0x9c,
	0x4c, 0x32, 0xff, 0x11, 0x39, 0x01, 0xff, 0xed, 0x3c, 0xbb, 0xf8, 0xc2, 0xd2, 0xec, 0x2a, 0xbf,
	0x4c, 0x58, 0xfa, 0xe1, 0xca, 0xf7, 0xc8, 0x31, 0x3c, 0xfb, 0xa7, 0xa6, 0xb3, 0xd9, 0x3c, 0xf1,
	0x5b, 0x83, 0x3f, 0x2d, 0xe8, 0xc6, 0xae, 0x09, 0x32, 0x84, 0x23, 0x5e, 0x96, 0xea, 0x47, 0x2e,
	0xa4, 0xc1, 0x62, 0xa9, 0x9b, 0x4c, 0x4f, 0xd9, 0xa1, 0x53, 0xd3, 0xb5, 0x48, 0xce, 0xe1, 0xc5,
	0x3e, 0x96, 0x17, 0x62, 0xf1, 0x1d, 0xb5, 0x09, 0x3a, 0x0e, 0x3f, 0xd9, 0xc3, 0xe3, 0x66, 0x47,
	0xa6, 0xd0, 0x2b, 0x76, 0xda, 0x6a, 0x85, 0xed, 0x51, 0x6f, 0x4c, 0x1f, 0x96, 0x9f, 0xed, 0x5a,
	0x90, 0x57, 0xd0, 0x33, 0xa8, 0xef, 0x50, 0xe7, 0x92, 0x57, 0x4d, 0xa3, 0x07, 0x0c, 0x1a, 0x69,
	0xc2, 0x2b, 0x24, 0x67, 0x70, 0x28, 0xf1, 0xa7, 0xcd, 0xdd, 0x17, 0x2e, 0x54, 0x19, 0x3c, 0x0e,
	0xdb, 0xa3, 0x03, 0xd6, 0xaf, 0xc5, 0xe9, 0x5a, 0x23, 0x6f, 0xe0, 0xe5, 0x37, 0x61, 0xf8, 0x75,
	0x89, 0xb9, 0x41, 0x63, 0x84, 0x92, 0xb9, 0x46, 0xb3, 0xac, 0x16, 0x56, 0x28, 0x19, 0x74, 0x5d,
	0xa2, 0x60, 0x4d, 0xcc, 0x1a, 0x80, 0x6d, 0xf7, 0x84, 0xc2, 0xf1, 0xf6, 0x7a, 0x65, 0x2c, 0x56,
	0xb9, 0x56, 0xca, 0x06, 0x4f, 0xdc, 0xd9, 0xf3, 0xcd, 0x99, 0xdb, 0x30, 0xa5, 0xec, 0x3b, 0x0b,
	0xc3, 0x42, 0x55, 0xf7, 0xa7, 0x9e, 0x7a, 0x5f, 0x87, 0x1b, 0xa8, 0x8a, 0x6a, 0x30, 0xfa, 0xff,
	0x5f, 0xfc, 0xab, 0x75, 0x7a, 0x39, 0x66, 0x7c, 0x45, 0xe3, 0xda, 0x2c, 0xdb, 0x9a, 0xa5, 0x1b,
	0xb3, 0xac, 0x34, 0xd7, 0x5d, 0xd7, 0xc0, 0xeb, 0xbf, 0x01, 0x00, 0x00, 0xff, 0xff, 0x18, 0x9d,
	0x9c, 0x05, 0x0a, 0x03, 0x00, 0x00,
}
